{ Обработка текста: Выделение чисел из текста                              }
{--------------------------------------------------------------------------}
{ На входе - текст, на выходе - список чисел                               }
{--------------------------------------------------------------------------}
const Digits : set of char=['0'..'9'];
var s,d:string;
    i:integer;
begin
     writeln('Введите текст, в котором есть и цифры:'); readln(s);
     writeln('Список чисел в тексте:');
     i:=1;
     Repeat
        while NOT(s[i] in Digits) and (i<=length(s)) do inc(i);
        d:='';
        while (s[i] in Digits) and (i<=length(s)) do begin
              d:=d+s[i];
              inc(i);
        end;
        if length(d)<>0 then writeln(d);
     Until (i>length(s));
end.
